define(function(require) {
    'use strict';

    var baja = require("baja!");


    var $CLS_STATUS_DISABLED = "status-disabled";
    var $CLS_STATUS_FAULT = "status-fault";
    var $CLS_STATUS_DOWN = "status-down";
    var $CLS_STATUS_ALARM = "status-alarm";
    var $CLS_STATUS_STALE = "status-stale";

    var BajaUtilities = function() { };

    BajaUtilities.allStatusClasses = function() {
      return $CLS_STATUS_DISABLED + " " + $CLS_STATUS_FAULT + " " + $CLS_STATUS_DOWN + " " + $CLS_STATUS_ALARM + " " +
             $CLS_STATUS_STALE;
    };

    BajaUtilities.evaluateMeterStatus = function(meterStatus) {

        var status = baja.Status.make(meterStatus);
        if (status) {
            // console.log("check status[" + status.$bits + "] ");

            if (status.isDisabled()) {
                return $CLS_STATUS_DISABLED;
            }
            else if (status.isFault()) {
                return $CLS_STATUS_FAULT;
            }
            else if (status.isDown()) {
                return $CLS_STATUS_DOWN;
            }
            else if (status.isAlarm()) {
                return $CLS_STATUS_ALARM;
            }
            else if (status.isStale()) {
                return $CLS_STATUS_STALE;
            }
        }

        return "";
    };


    return BajaUtilities;
});
