define(function(require) {
    'use strict';

    var Handlebars = require('Handlebars');
    var $ = require("jquery");

    var HeaderTmpl = require('hbs!nmodule/oasModbusUtilitiesCore/rc/template/header');

    require('css!nmodule/oasModbusUtilitiesCore/rc/style/header');


    var lexicons = require('lex!oasModbusUtilitiesCore');
    var lex = lexicons[0];

    var Header = function() {

    };

    Header.prototype = Object.create(Object.prototype);
    Header.prototype.constructor = Header;



    Header.prototype.toSafeString = function () {
        return new Handlebars.SafeString(HeaderTmpl({
            "home-label": lex.get("Header.home"),
            "back-label": lex.get("Header.back"),
            "logoff-label": lex.get("Header.logoff"),
            "logoff-link": window.location.origin + "/logout",
            "brand_logo": ""//"/module/oasModbusUtilitiesCore/rc/img/logo/your_icon.svg"
        }));
    };


    Header.prototype.setHomeLink = function(link) {
        console.log("set home link " + link);
        $('a.nav-item#home-label').attr('href', link);
    };


    Header.prototype.setBrandLogo = function(link) {

        console.log("set Brand icon: " + link);
        $('img.navbar-brand#brand-logo').attr('src', link);
    };

    return Header;

});
