define(function(require) {
    'use strict';

    var ModuleAddressTempl = require('hbs!nmodule/oasModbusUtilitiesCore/rc/template/address');

    require('css!nmodule/oasModbusUtilitiesCore/rc/style/address');


    var ModuleAddress = function(dom, address) {

        this.$address = address || 0;
        this.$dom = dom;
        this.$default = { 1: "off", 2: "off", 3: "off", 4: "off", 5: "off", 6: "off", 7: "off", 8: "off", };
    };

    ModuleAddress.prototype = Object.create(Object.prototype);
    ModuleAddress.prototype.constructor = ModuleAddress;


    ModuleAddress.prototype.render = function() {
        this.update(this.$address);
    };


    ModuleAddress.prototype.update = function(address) {
        this.$dom.html(ModuleAddressTempl(
            this.getBits(address)
        ));
    };

    ModuleAddress.prototype.getBits = function(address) {
        if(address >= 0) {
            var switch_status = {};
            var bits = toBinary(address);
            try {
                var index = 1;
                bits.split('').forEach(function(bit) {
                    switch_status[index] = (bit === '0' ? "off" : "on");
                    index++;
                });
            }
            catch(err) {
                console.error(err);
            }
            return switch_status;
        }
        return this.$default;
    };


    function toBinary(integer) {
        var str = integer.toString(2);
        return reverse(str.padStart(8, "0"));
    }

    function reverse(string) {
        return string.split('').reverse().join('');
    }

    return ModuleAddress;
});
