define([
    'require',
], function(require) {
    'use strict';

   var ModuleTypeInfo = function() {  };

   var moduleTypes = Object.freeze({
           "None": -1,
           "SBS-IOM-1023": 5116,
           "SBS-IOMR-1022": 5208,
           "SBS-IOM-1021": 5308,
           "SBS-IOMR-1026": 5404,
           "SBS-IOMR-1031": 5504,
           "SBS-IOMR-1024": 5508,
           "SBS-IOMR-1025": 5514
   });

   var baudrates = Object.freeze({
           "57600": 1,
           "38400": 2,
           "19200": 3,
           "9600": 4
   });

   ModuleTypeInfo.searchModuleType = function(key) {
       for (var value in moduleTypes) {
           if (moduleTypes[value] == key) {
               return value;
           }
       }
   };

   ModuleTypeInfo.searchBaudrate = function(key) {
       for (var value in baudrates) {
           if (baudrates[value] == key) {
               return value;
           }
       }
   };


   return ModuleTypeInfo;
});
